Bug 418921 - Review Request: rubygem-activeresource - Active Record for web resources
Review Request: rubygem-activeresource - Active Record for web resources
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 17:02 EST by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 13:55:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sseago: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-12-10 17:02:53 EST
Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-activeresource.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-activeresource-2.0.1-1.src.rpm
Description: 

Wraps web resources in model classes that can be manipulated through XML over
REST.
Comment 1 Scott Seago 2007-12-19 13:37:09 EST
OK - rpmlint
OK - Package name
OK - License info is accurate
OK - License tag is correct and licenses are approved
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - Package requires create needed unowned directories
OK - Package builds successfully on i386 and x86_64 
OK - BuildRequires sufficient
OK - File permissions set properly (except for rpmlint error below)
OK - Macro usage is consistent
OK - buildroot

OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch-specific content in %{gemdir}
OK - Package is noarch

approved
Comment 2 David Lutterkort 2007-12-19 17:30:32 EST
New Package CVS Request
=======================
Package Name: rubygem-activeresource
Short Description: Active Record for web resources
Owners: lutter
Branches: F-8 devel
InitialCC: 
Cvsextras Commits: yes
Comment 3 Tom "spot" Callaway 2007-12-19 17:57:45 EST
cvs done
Comment 4 David Lutterkort 2007-12-20 12:45:05 EST
Sorry, forgot F-7

New Package CVS Request
=======================
Package Name: rubygem-activeresource
Short Description: Active Record for web resources
Owners: lutter
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-12-20 23:36:51 EST
cvs done.
Comment 6 David Lutterkort 2008-01-02 13:55:32 EST
Imported and built

Note You need to log in before you can comment on or make changes to this bug.